Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name: 		evolution-sharp
Version: 	0.15.1
Release: 	1
License: 	LGPL
Group: 		System/Libraries
Summary: 	Evolution Data Server Mono Bindings
URL: 		http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Patch1: 	evolution-sharp-0.11.1-libdir.patch
Patch2: 	evolution-sharp-0.12.1-fix-assembly-dir.patch
Requires: 	evolution-data-server
BuildRequires: 	automake
BuildRequires: 	evolution-data-server-devel
BuildRequires: 	gtk-sharp-devel
BuildRequires: 	gtk-sharp-gapi
BuildRequires: 	libtool
BuildRequires: 	mono-core-devel

%description
Mono/C# bindings for the Evolution addressbook.

%package devel
Summary: 	Development files for evolution-sharp
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig

%description devel
This package contains development files for evolution-sharp.

%prep
%setup -q
%patch1 -p1 -b .libdir
%patch2 -p1 -b .fix-assembly-dir

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/*.so
%{_libdir}/mono/gac/evolution-sharp/
%{_libdir}/mono/evolution-sharp/evolution-sharp.dll
%{_datadir}/gapi-2.0/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/evolution-sharp.pc


%changelog
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.15.1-1
- Version update
* Mon Oct 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.14.0.1-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.12.2-1
- Initial release
